Subject: bug#1107: #1107 - 23.0.60; Emacs --daemon crashes when emacsclient tries to establish a connection on OS X - Emacs bug report logs

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 25 Nov 2008 07:27:03 -0800 (PST)

Adrian Robert <[email-masked]> writes:

  > On Nov 25, 2008, at 1:20 AM, Dan Nicolaescu wrote:
  > 
  > > Adrian Robert <[email-masked]> writes:
  > >
  > >> I just tried to replicate this locally and failed.  No crash.
  > >> However, it also doesn't work -- emacsclient just always says "can't
  > >> find socket; have you started the server?".
  > >>
  > >> This is new.  Emacsclient always worked before, up to and including
  > >> multi-tty.  Could something in the new daemon support have affected
  > >> this?  Was there anything in particular that changed as far as how
  > >> the
  > >> client and server communicate?
  > >>
  > >> gnuserv, which I use, still works.
  > >
  > > Can you please clarify, if you are doing
  > >
  > > emacs --daemon
  > >
  > > then you can connect with gnuclient, but cannot with emacsclient?
  > 
  > I'm trying emacs -Q/-q/normal --daemon, or "run emacs -Q/-q/normal [no
  > opts] + M-x server-start".  All give the same result of no socket
  > found for emacsclient.  If I start emacs (-q/-Q/normal) and do "M-x
  > gnuserv-start", then gnuclient works.

  > Now I just tried on X11 on Mac, and it works, although there is a
  > delay of seconds the first time emacsclient is run before the file
  > shows up in emacs.
  > 
  > And, I tried under --enable-cocoa-experimenal-ctrl-g and got the same
  > behavior, with these exceptions:
  > 
  > - if there is an emacs window active (no --daemon) the mouse must be
  > moved over emacs to get it to pick up the file -- the first time, but
  > not subsequent times
  > 
  > - if there is no window active, a crash ensues, sometimes after a
  > pause (stack trace below)
  > 
  > Some of this difference must have something to do with how the socket
  > event works its way into the input loop, maybe only for the first
  > event.  If you can summarize what changed in this area with the new
  > impl it would help me look into it.

Given that the problem also happens when NOT using --daemon, then the
problem is quite likely not caused by the --daemon changes, the changes
should not affect anything if --daemon is not used.

The daemon code was checked in on 2008-09-21, I'd recommend trying a
version before that date and see if you still have the problem.

You can also try to see if:

emacs -nw -Q --daemon

followed by:

emacsclient -t

also causes problems. 

The stack trace posted seems to be taken when using --daemon, one for
emacs -Q -f server-start  would be more helpful.